package com.ylcm.sys.mapper;

import java.util.List;
import java.util.Map;

import com.ylcm.sys.domain.Log;

public interface LogMapper {

	int insert(Log record);

	/**
	 * 根据条件查血日志
	 * 
	 * @param map
	 * @return
	 */
	@SuppressWarnings("rawtypes")
	List<Log> selectByCondition(Map map);

	/**
	 * 获取日志的数量
	 * 
	 * @param map
	 * @return
	 */
	@SuppressWarnings("rawtypes")
	Integer getCount(Map map);
}
